@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600;700;800&display=swap");

:root {
  --primary-color: #2c3855;
  --primary-color-dark: #435681;
  --text-dark: #333333;
  --text-light: #767268;
  --extra-light: #f3f4f6;
  --white: #ffffff;
  --max-width: 1200px;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.section__container {
  max-width: var(--max-width);
  margin: auto;
  padding: 5rem 1rem;
}

.nav__logo {
  display: flex;
  align-items: center;
  gap: 0.5rem; 
}

.logo-img {
  width: 60px;  
  height: auto;
  border-radius: 5px; 
}

.section__header {
  font-size: 2rem;
  font-weight: 600;
  color: var(--text-dark);
  text-align: center;
    animation: fadeInUp 1s ease forwards;
}

@keyframes fadeInUp {
  from {opacity: 0; transform: translateY(30px);}
  to {opacity: 1; transform: translateY(0);}
}

a {
  text-decoration: none;
}

img {
  width: 100%;
  display: flex;
}

h1, h2, h3, .section__header {
  font-family: "Playfair Display", serif;
}
body {
  font-family: "Poppins", sans-serif;
}

nav {
     position: sticky;
  top: 0;
  z-index: 1000;
  background-color: var(--white);
  /*box-shadow: 0 2px 8px rgba(0,0,0,0.05);*/
  max-width: var(--max-width);
  margin: auto;
  /*padding: 2rem 1rem;*/
  padding:  20px 0 20 0px;
  display: flex;t
  align-items: center;
  justify-content: space-between;
}

.nav__links li a {
  position: relative;
}

.nav__links li a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -5px;
  width: 0%;
  height: 2px;
  background-color: var(--primary-color);
  transition: 0.3s;
}

.nav__links li a:hover::after {
  width: 100%;
}

.nav__logo {
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--text-dark);
}

.nav__links {
  list-style: none;
  display: flex;
  align-items: center;
  gap: 2rem;
}

.link a {
  font-weight: 500;
  color: var(--text-light);
  transition: 0.3s;
}

.link a:hover {
  color: var(--primary-color);
}

.header__container {
  /*padding: 1rem 1rem 5rem 1rem;*/
    width: 100%;
  padding: 0;
}

/*.header__image__container {*/
/*  position: relative;*/
/*  min-height: 500px;*/
/*  background-image: linear-gradient(*/
/*      to right,*/
/*      rgba(44, 56, 85, 0.9),*/
/*      rgba(100, 125, 187, 0.1)*/
/*    ),*/
/*    url("assets/hero.jpg");*/
/*  background-position: center center;*/
/*  background-size: cover;*/
/*  background-repeat: no-repeat;*/
  /*border-radius: 2rem;*/
/*  width:100%;*/
/*}*/

.header__image__container {
  position: relative;
  min-height: 500px;
  width: 100%;
  background-position: center center;
  background-size: cover;
  background-repeat: no-repeat;
  /*transition: background-image 2s ease-in-out; */
  /* fade effect */
    transition: opacity 3s ease-in-out;

}

/*.header__image__container::before {*/
/*  content: "";*/
/*  position: absolute;*/
/*  inset: 0;*/
/*  background: linear-gradient(*/
/*    to right,*/
/*    rgba(44, 56, 85, 0.9),*/
/*    rgba(100, 125, 187, 0.1)*/
/*  );*/
/*  z-index: 1;*/
/*}*/

.header__content,
.booking__container {
  position: relative;
  z-index: 2; /* content stays above overlay */
}


.header__content {
  max-width: 600px;
  padding: 5rem 2rem;
}

.header__content h1 {
  margin-bottom: 1rem;
  font-size: 3.8rem;
  line-height: 4.5rem;
  font-weight: 700;
  color: var(--white);
   text-shadow: 2px 2px 8px rgba(0,0,0,0.3);
}

.header__content .cta-btn {
  margin-top: 1rem;
  padding: 0.9rem 2.2rem;
  background: rgba(255, 255, 255, 0.2);  /* use your theme color */
  color: var(--white);
  font-size: 1.1rem;
  font-weight: 600;
  border: none;
  border-radius: 50px; /* makes it pill-shaped */
  cursor: pointer;
  transition: all 0.3s ease;
  box-shadow: 0 4px 12px rgba(0,0,0,0.15);
}

.header__content .cta-btn:hover {
  background: var(--primary-color-dark);
  transform: translateY(-3px);
  box-shadow: 0 6px 16px rgba(0,0,0,0.25);
}

.header__content p {
  color: var(--extra-light);
}

.booking__container {
  position: absolute;
  bottom: -5rem;
  left: 50%;
  transform: translateX(-50%);
  width: calc(100% - 6rem);
  display: flex;
  align-items: center;
  gap: 1rem;
  padding: 3rem 2rem;
  border-radius: 2rem;
  background-color: rgba(255, 255, 255, 0.7);
  -webkit-backdrop-filter: blur(10px);
  backdrop-filter: blur(10px);
  box-shadow: 5px 5px 30px rgba(0, 0, 0, 0.1);
}

.booking__container form {
  width: 100%;
  flex: 1;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  gap: 1rem;
}

.booking__container .input__group {
  width: 100%;
  position: relative;
}

.booking__container label {
  position: absolute;
  top: 50%;
  left: 0;
  transform: translateY(-50%);
  font-size: 1.2rem;
  font-weight: 500;
  color: var(--text-dark);
  pointer-events: none;
  transition: 0.3s;
}

.booking__container input {
  width: 100%;
  padding: 10px 0;
  font-size: 1rem;
  outline: none;
  border: none;
  background-color: transparent;
  border-bottom: 1px solid var(--primary-color);
  color: var(--text-dark);
}

.booking__container input:focus ~ label {
  font-size: 0.8rem;
  top: 0;
}

.booking__container .form__group p {
  margin-top: 0.5rem;
  font-size: 0.8rem;
  color: var(--text-light);
}

.booking__container .btn {
  padding: 1rem;
  outline: none;
  border: none;
  font-size: 1.5rem;
  color: var(--white);
  background-color: var(--primary-color);
  border-radius: 100%;
  cursor: pointer;
  transition: 0.3s;
}

.booking__container .btn:hover {
  background-color: var(--primary-color-dark);
}

.popular__grid {
  margin-top: 4rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.popular__card {
  overflow: hidden;
  border-radius: 1rem;
  box-shadow: 0px 5px 20px rgba(0, 0, 0, 0.1);
   transition: transform 0.3s ease, box-shadow 0.3s ease;
}


.popular__card:hover {
  transform: translateY(-10px);
  box-shadow: 0 8px 30px rgba(0,0,0,0.2);
}

.popular__card img {
  transition: transform 0.4s ease;
}

.popular__card:hover img {
  transform: scale(1.05);
}

.popular__content {
  padding: 1rem;
}

.popular__card__header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 1rem;
  margin-bottom: 0.5rem;
}

.popular__card__header h4 {
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--text-dark);
}

.popular__content p {
  color: var(--text-light);
}

.client {
    background: linear-gradient(135deg, #f3f4f6, #e6eaf5);
  position: relative;
}


.client::before {
  content: "";
  position: absolute;
  top: -40px;
  left: -40px;
  width: 120px;
  height: 120px;
  border-radius: 50%;
  background: var(--primary-color);
  opacity: 0.05;
}

.stars {
  text-align: center;
  color: gold;
  font-size: 1.2rem;
  margin-bottom: 0.5rem;
}

.client__grid {
  margin-top: 4rem;
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 2rem;
}

.client__card {
  padding: 2rem;
  background-color: var(--white);
  border-radius: 1rem;
  box-shadow: 5px 5px 20px rgba(0, 0, 0, 0.1);
}

.client__card img {
  max-width: 80px;
  margin: auto;
  margin-bottom: 1rem;
  border-radius: 100%;
}

.client__card p {
  text-align: center;
  color: var(--text-dark);
}

.reward__container {
  padding: 2rem;
  text-align: center;
  border-radius: 2rem;
  box-shadow: 5px 5px 30px rgba(0, 0, 0, 0.1);
}

.reward__container p {
  margin-bottom: 1rem;
  font-weight: 600;
  color: var(--text-light);
}

.reward__container h4 {
  max-width: 500px;
  margin: auto;
  margin-bottom: 1rem;
  font-size: 2rem;
  font-weight: 600;
  color: var(--text-dark);
}

.reward__btn {
  padding: 1rem 3rem;
  outline: none;
  border: none;
  font-size: 1rem;
  color: var(--white);
  background-color: var(--primary-color);
  border-radius: 1rem;
  cursor: pointer;
  transition: 0.3s;
}

.reward__btn:hover {
  background-color: var(--primary-color-dark);
}

.footer {
  background-color: var(--extra-light);
}

.socials i {
  font-size: 1.5rem;
  margin-right: 1rem;
  color: var(--text-light);
  transition: 0.3s;
  cursor: pointer;
}

.socials i:hover {
  color: var(--primary-color);
  transform: scale(1.2);
}


.footer__container {
  display: grid;
  grid-template-columns: 2fr repeat(3, 1fr);
  gap: 5rem;
}

.footer__col h3 {
  margin-bottom: 1rem;
  font-size: 1.5rem;
  font-weight: 600;
  color: var(--text-dark);
}

.footer__col h4 {
  margin-bottom: 1rem;
  font-size: 1.2rem;
  font-weight: 600;
  color: var(--text-dark);
}

.footer__col p {
  margin-bottom: 1rem;
  color: var(--text-light);
  cursor: pointer;
  transition: 0.3s;
}

.footer__col p:hover {
  color: var(--text-dark);
}





@media (width < 900px) {
  .booking__container form {
    grid-template-columns: repeat(2, 1fr);
  }

  .popular__grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
  }

  .client__grid {
    grid-template-columns: repeat(2, 1fr);
    gap: 1rem;
  }

  .footer__container {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (width < 600px) {
  .nav__links {
    display: none;
  }

  .header__container {
    padding-bottom: 25rem;
  }

  .section__header {
  animation: fadeIn 1s ease forwards;
}

@keyframes fadeIn {
  from {opacity: 0; transform: translateY(20px);}
  to {opacity: 1; transform: translateY(0);}
}


  .booking__container {
    flex-direction: column;
    bottom: -25rem;
  }

  .booking__container form {
    grid-template-columns: repeat(1, 1fr);
  }

  .popular__grid {
    grid-template-columns: repeat(1, 1fr);
  }

  .client__grid {
    grid-template-columns: repeat(1, 1fr);
  }

  .footer__container {
    gap: 2rem;
  }









}


/* Popup Overlay */
.welcome-popup {
  position: fixed;
  inset: 0;
  background: rgba(0,0,0,0.5);
  display: flex;
  align-items: center;
  justify-content: center;
  z-index: 5000;
  opacity: 0;
  visibility: hidden;
  transition: 0.4s ease;
}

/* Show state */
.welcome-popup.show {
  opacity: 1;
  visibility: visible;
}

/* Popup Box */
.popup-content {
  background: rgba(255,255,255,0.95);
  padding: 2rem;
  border-radius: 1.2rem;
  text-align: center;
  box-shadow: 0 8px 25px rgba(0,0,0,0.3);
  animation: popIn 0.5s ease forwards;
}

.popup-content h2 {
  margin-bottom: 0.5rem;
  color: #2c3855;
}

.popup-content p {
  margin-bottom: 1rem;
  font-size: 1.1rem;
}

.popup-content button {
  padding: 0.5rem 1.2rem;
  border: none;
  border-radius: 1rem;
  background: linear-gradient(135deg,#2c3855,#4a6eb1);
  color: #fff;
  font-weight: 600;
  cursor: pointer;
  transition: 0.3s;
}
.popup-content button:hover {
  transform: scale(1.05);
}

/* Animation */
@keyframes popIn {
  from { transform: scale(0.7); opacity: 0; }
  to { transform: scale(1); opacity: 1; }
}
